Page MenuHomeFreeBSD

Improve error/debug messages in sdhci.c
ClosedPublic

Authored by bz on Mar 29 2019, 9:52 AM.

Details

Summary

Improve error/debug messages in sdhci.c

When starting a command also print the opcode and flags.
More consitently print flags as hex.
Use slot_printf rather than printf in one case.

Sponsored by: The FreeBSD Foundation
MFC After: 2 weeks

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

bz created this revision.Mar 29 2019, 9:52 AM
marius accepted this revision.Mar 31 2019, 10:50 PM

Looks good to me, it would be great if you could expand "Resp" to "Response" and use "result" instead of "err" for consistency while at it, though.

This revision is now accepted and ready to land.Mar 31 2019, 10:50 PM
kibab accepted this revision.Apr 1 2019, 6:08 PM
imp accepted this revision.Apr 1 2019, 10:17 PM
This revision was automatically updated to reflect the committed changes.